/* start new menu */
header,
header section {
  overflow: hidden;
}

header .menu {
  margin: 0;
  padding: 0;
  line-height: calc((var(--height-header) - (var(--spacing-vertical) * 2)) / 2);
  width: 100%;
  float: left;
  position: relative;
  margin-top: var(--spacing-vertical);
  height: 0;
  visibility: hidden;
  padding-bottom: var(--spacing-vertical);
}

header .menu .menu-item {
  line-height: 3rem;
  display: block;
}

header .menu-item .sub-menu .menu-item {
  line-height: 2rem;
  background-color: rgba(0, 0, 0, 0.2);
}

header .menu .menu-item a {
  padding: 0 var(--spacing-horizontal);
  display: flex;
  justify-content: space-between;
  white-space: nowrap;
  border-bottom: 3px solid var(--color-accent-disabled);
}

header .menu .menu-item-has-children {
  position: relative;
}

header .menu .sub-menu {
  visibility: hidden;
  opacity: 0;
  height: 0;
  width: 0;
  transition: visibility 0.25s, opacity 0.25s ease-in-out;
  background-color: var(--color-background);
  padding: 0;
  font-size: var(--font-size-smaller);
}

header .menu-btn:checked ~ .menu .menu-item.active > .sub-menu,
header .menu-item:hover > .sub-menu,
header .menu-item:active > .sub-menu,
header .menu-item:focus > .sub-menu {
  opacity: 1;
  height: auto;
  width: auto;
  visibility: visible;
}

header .menu-item > a:hover,
header .sub-menu .menu-item > a:hover,
header .sub-menu .menu-item > a:active,
header .sub-menu .menu-item > a:focus {
  background-image: var(--background-gradient);
  color: white;
  border-color: var(--color-accent);
}

header .menu-icon {
  cursor: pointer;
  display: inline-block;
  float: right;
  position: relative;
  user-select: none;
  padding: calc(
      (var(--height-header) - 2px - (var(--spacing-vertical) * 2)) / 2
    )
    var(--spacing-horizontal);
}

header .menu-icon .navicon {
  background: var(--color-text);
  display: block;
  height: 2px;
  position: relative;
  transition: background 0.2s ease-out;
  width: 18px;
}

header .menu-icon .navicon:before,
header .menu-icon .navicon:after {
  content: "";
  display: block;
  height: 100%;
  position: absolute;
  transition: all 0.2s ease-out;
  width: 100%;
  background: var(--color-text);
}

header .menu-icon .navicon:before {
  top: 5px;
}

header .menu-icon .navicon:after {
  top: -5px;
}

/* menu btn */

header .menu-btn {
  display: none;
}

header .menu-btn:not(checked) ~ .menu {
  height: 0;
  padding-bottom: 0;
  margin-top: 0;
}

header .menu-btn:checked ~ .menu {
  float: left;
  height: auto;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  margin-top: var(--spacing-vertical);
  visibility: visible;
}

header .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}

header .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

header .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}

@media (min-width: 45rem) {
  header .menu,
  header .menu-btn:checked ~ .menu,
  header .menu-btn:not(checked) ~ .menu {
    display: flex;
    justify-content: flex-end;
    float: right;
    border-top: none;
    visibility: visible;

    /* Logo Width */
    width: calc(100% - var(--width-logo));
    overflow: visible;
    height: auto;
  }
  header .menu .sub-menu {
    position: absolute;
    z-index: 100;
    top: 100%;
    left: 0;
    font-size: 1rem;
  }
  header .menu .sub-menu .sub-menu {
    top: 0;
    left: 100%;
    z-index: 110;
  }

  header .menu .sub-menu .menu-item {
    min-width: 12rem;
    line-height: unset;
    background-color: unset;
  }

  header .menu-icon {
    display: none;
  }
}

@media (min-width: 45rem) {
  header .menu .menu-item {
    line-height: calc(3rem - 3px);
  }

  body.single-post header li.news > a,
  body.member-template-default header .menu-item-object-member  a,
  header [aria-current="page"] {
    border-bottom: 3px solid black;
    border-color: var(--color-accent) !important;
  }
}
